Get a card
curl --request GET \
--url https://api.sandbox.trio.com.br/banking/cards/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/cards/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/cards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"balance": 0,
"company_id": "019514eb-5d5c-b395-5a77-449d12701ce7",
"display_name": "marketing card",
"entity_id": "019514eb-5d5c-b395-5a77-449d12701ce7",
"holder_id": "019514eb-5d5c-b395-5a77-449d12701ce7",
"id": "019514eb-5d5c-b395-5a77-449d12701ce7",
"masked_number": "5555 **** **** 1234",
"org_id": "019514eb-5d5c-b395-5a77-449d12701ce7",
"status": "active",
"type": "virtual"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Cards
Get Card
Get an existing card
GET
/
banking
/
cards
/
{id}
Get a card
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Card ID Unique identifier
Response
Card
Card response
Card data
Show child attributes
Show child attributes
Example:
{ "balance": 0, "company_id": "019514eb-5d5c-b395-5a77-449d12701ce7", "display_name": "marketing card", "entity_id": "019514eb-5d5c-b395-5a77-449d12701ce7", "holder_id": "019514eb-5d5c-b395-5a77-449d12701ce7", "id": "019514eb-5d5c-b395-5a77-449d12701ce7", "masked_number": "5555 **** **** 1234", "org_id": "019514eb-5d5c-b395-5a77-449d12701ce7", "status": "active", "type": "virtual" }
⌘I

